Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-04-2019 15:34:12

Harmonium
Membre
Distrib. : Debian GNU/Linux 9 (stretch) 64 bits
Noyau : Linux 4.9.0-8-amd64
(G)UI : De base (GNOME_?)
Inscription : 02-04-2019

[Résolu] Installation de WineHQ : demande d'aide

Bonjour à tous ! smile

Après avoir finalisé mon installation de Debian et supprimé le fichier "trusted.gpg" qui (pour moi) gênait la mise à jour des paquets,
je continue ma découverte de Debian an tant que gros NOOB de tout ce qui est GNU/Linux.
Je suis tombé sur le site "linuxrouen.fr" qui liste les logiciels les plus populaires.
Il faut savoir que j'ai installé Debian en dual boot avec Windows sur 2 disques différents en me disant que j'avais quand même besoin de Windows pour les jeux vidéos.
J'en reviens donc à cette liste dans laquelle étaient mentionnés "WineHQ" et son pluggin "PlayOnLinux".
Comme vous le savez sûrement déjà, ces logiciels permettraient de jouer à des jeux Windows sur Debian.
Alors déjà, j'ai quelques questions si certains connaissent bien. Que valent vraiment ces logiciels ?
Permettent-ils réellement de faire tourner des jeux prévus pour Windows de manière stable ?
Puis bon, comme rien ne vaut le fait de découvrir les réponses par sois-même j'ai commencé à suivre le tutoriel d'installation de WineHQ.
"No problem", sauf bien sûre ce terminal ! Bien que je comprenne les plaintes d'apt, je ne sais pas quelles commandes je dois utiliser pour me déplacer dans le système ou pour interagir avec lui de manière efficace. Vérifier le pilote, le package et la release.
Pourriez-vous m'aider dans ces démarches ? Je saurai prendre des notes pour que votre aide ne soit pas qu'éphémère, celle-ci me servira sûrement lors de l’installation de prochains logiciels ! big_smile

Voilà pour le rapport de plaintes :

apt edit-sources
Votre fichier « /etc/apt/sources.list » a changé, veuillez lancer « apt-get update ».
apt-get update
Ign:1 http://ftp.rezopole.net/debian stretch InRelease
Réception de:2 http://ftp.rezopole.net/debian stretch-updates InRelease [91,0 kB]
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Réception de:4 http://security.debian.org/debian-security stretch/updates/main i386 Packages [485 kB]
Réception de:5 http://ftp.rezopole.net/debian stretch-backports InRelease [91,9 kB]              
Atteint:6 http://ftp.rezopole.net/debian stretch Release                                      
Réception de:7 http://ftp.rezopole.net/debian stretch-updates/main i386 Packages [11,4 kB]    
Réception de:9 http://ftp.rezopole.net/debian stretch-backports/main i386 Packages [581 kB]  
Réception de:10 http://ftp.rezopole.net/debian stretch-backports/contrib i386 Packages [10,7 kB]
Réception de:11 http://ftp.rezopole.net/debian stretch/main i386 Packages [7 064 kB]      
0% [11 Packages 6 155 kB/7 064 kB 87%]                            
Lecture des listes de paquets... Fait
E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.
N: Is the package apt-transport-https installed?
E: Impossible de récupérer https://dl.winehq.org/wine-builds/debian/dists/stretch/InRelease  
E: Le téléchargement de quelques fichiers d'
index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Harmo. Merci.

Dernière modification par Harmonium (05-04-2019 20:39:46)


Nouveau sur le fofo et chez debian.  ----->  Présentation :  https://debian-facile.org/viewtopic.php?id=24050

Hors ligne

#2 05-04-2019 16:14:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Installation de WineHQ : demande d'aide

Bonjour !

Harmonium a écrit :


apt-get update

...
E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.
N: Is the package apt-transport-https installed?
E: Impossible de récupérer https://dl.winehq.org/wine-builds/debian/dists/stretch/InRelease
...


Bon il s'agit d'une toute petite plainte, un petit gémissement, installe le paquet apt-transport-https.

Hors ligne

#3 05-04-2019 16:27:44

Nsyo
Invité

Re : [Résolu] Installation de WineHQ : demande d'aide

Salut !

Tout d'abord, avant d'aller plus loin, sache que Wine est déjà disponible chez Debian. wink
Après, tu es libre d'installer une version plus récente à l'aide d'un dépôt externe. Mais attention, Debian Stable n'est stable qu'avec les dépôts Stable.

Is the package apt-transport-https installed?


Cette ligne t'indique que le paquet 'apt-transport-https' n'est probablement pas installé. Tu peux voir que les dépôts Debian sont en HTTP, alors que le dépôt externe Wine est en HTTPS. Tu dois installer le paquet pour utiliser des dépôts en HTTPS.

Pour chercher les paquets disponibles, tu as tout un tas de commandes APT que tu peux voir dans le wiki. Sinon pour démarrer avec le terminal, tu peux voir ici :
https://openclassrooms.com/fr/courses/4 … e-de-linux (Bon il y a une bêtise sur la gestion des droits administrateurs (sudo / su), n'hésite pas à poster quand tu y seras wink)

Edit : èfpé m'a devancé !

Dernière modification par Nsyo (05-04-2019 16:29:39)

#4 05-04-2019 17:55:38

Harmonium
Membre
Distrib. : Debian GNU/Linux 9 (stretch) 64 bits
Noyau : Linux 4.9.0-8-amd64
(G)UI : De base (GNOME_?)
Inscription : 02-04-2019

Re : [Résolu] Installation de WineHQ : demande d'aide

Bonjour èfpé et merci à toi pour tes explications, une fois de plus ! ^^

apt-get update
Ign:1 http://ftp.rezopole.net/debian stretch InRelease
Atteint:2 http://ftp.rezopole.net/debian stretch-updates InRelease
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.rezopole.net/debian stretch-backports InRelease          
Atteint:5 http://ftp.rezopole.net/debian stretch Release      
Réception de:7 https://dl.winehq.org/wine-builds/debian stretch InRelease [6 258 B]
Réception de:8 https://dl.winehq.org/wine-builds/debian stretch/main i386 Packages [327 kB]
Réception de:9 https://dl.winehq.org/wine-builds/debian stretch/main amd64 Packages [312 kB]
645 ko réceptionnés en 2s (249 ko/s)
Lecture des listes de paquets... Fait

Nsyo bonjour et merci à toi aussi vous êtes tops !
Je me suis réfèré à ton avertissements et après avoir installé, puis supprimé le version de Wine qui était incluse (via l'application "logiciels"),
j'ai suivit la dernière étape du tutoriel d'installation ( https://wiki.winehq.org/Debian ) :

Ensuite, installez l' un des packages suivants :
Branche stable
  sudo apt install --install-recommend winehq-stable     
Direction du développement     
  sudo apt install --install-recommend winehq-devel
Branche de mise en scène     
  sudo apt install --install-recommend winehq-staging

j'ai donc tapé :

apt install --install-recommend winehq-stable
E: Command line option --install-recommend is not understood in combination with the other options

J'ai donc essayé :

apt install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  fonts-wine i965-va-driver:i386 libasound2:i386 libasound2-plugins:i386
  libasyncns0:i386 libavahi-client3:i386 libavahi-common-data:i386
  libavahi-common3:i386 libavcodec57:i386 libavresample3:i386 libavutil55:i386
  libbsd0:i386 libcairo2:i386 libcap2:i386 libcrystalhd3:i386 libcups2:i386
  libdb5.3:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386
  libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386
  libelf1:i386 libexpat1:i386 libffi6:i386 libflac8:i386 libfontconfig1:i386
  libfreetype6:i386 libgcrypt20:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386
  libglapi-mesa:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386
  libgomp1:i386 libgpg-error0:i386 libgpm2:i386 libgsm1:i386
  libgssapi-krb5-2:i386 libhogweed4:i386 libice6:i386 libicu57:i386
  libidn11:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg62-turbo:i386
  libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386
  liblcms2-2:i386 libldap-2.4-2:i386 libllvm3.9:i386 libltdl7:i386
  liblz4-1:i386 libmp3lame0:i386 libmpg123-0:i386 libncurses5:i386
  libnettle6:i386 libnuma1:i386 libodbc1 libodbc1:i386 libogg0:i386
  libopenal1:i386 libopenjp2-7:i386 libopus0:i386 libosmesa6 libosmesa6:i386
  libp11-kit0:i386 libpcap0.8:i386 libpciaccess0:i386 libpixman-1-0:i386
  libpng16-16:i386 libpulse0:i386 libsamplerate0:i386 libsasl2-2:i386
  libsasl2-modules:i386 libsasl2-modules-db:i386 libsensors4:i386
  libshine3:i386 libsm6:i386 libsnappy1v5:i386 libsndfile1:i386
  libsndio6.1:i386 libsoxr0:i386 libspeex1:i386 libspeexdsp1:i386
  libssl1.1:i386 libstdc++6:i386 libswresample2:i386 libsystemd0:i386
  libtasn1-6:i386 libtheora0:i386 libtiff5:i386 libtwolame0:i386
  libtxc-dxtn-s2tc:i386 libva-drm1:i386 libva-x11-1:i386 libva1:i386
  libvdpau-va-gl1:i386 libvdpau1:i386 libvorbis0a:i386 libvorbisenc2:i386
  libvpx4:i386 libwavpack1:i386 libwebp6:i386 libwebpmux2:i386 libwine
  libwine:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libx264-148:i386
  libx265-95:i386 libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386
  libxcb-glx0:i386 libxcb-present0:i386 libxcb-render0:i386 libxcb-shm0:i386
  libxcb-sync1:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386
  libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386
  libxinerama1:i386 libxml2:i386 libxrandr2:i386 libxrender1:i386
  libxshmfence1:i386 libxslt1.1:i386 libxtst6:i386 libxvidcore4:i386
  libxxf86vm1:i386 libzvbi0:i386 mesa-va-drivers:i386 mesa-vdpau-drivers:i386
  ocl-icd-libopencl1:i386 va-driver-all:i386 vdpau-driver-all:i386 wine32:i386
  wine64
Veuillez utiliser « apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

apt autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Les paquets suivants seront ENLEVÉS :
  fonts-wine i965-va-driver:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libavcodec57:i386 libavresample3:i386
  libavutil55:i386 libbsd0:i386 libcairo2:i386 libcap2:i386 libcrystalhd3:i386 libcups2:i386 libdb5.3:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386
  libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libflac8:i386 libfontconfig1:i386 libfreetype6:i386 libgcrypt20:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386
  libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgomp1:i386 libgpg-error0:i386 libgpm2:i386 libgsm1:i386 libgssapi-krb5-2:i386 libhogweed4:i386 libice6:i386 libicu57:i386 libidn11:i386
  libjack-jackd2-0:i386 libjbig0:i386 libjpeg62-turbo:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libldap-2.4-2:i386 libllvm3.9:i386 libltdl7:i386 liblz4-1:i386
  libmp3lame0:i386 libmpg123-0:i386 libncurses5:i386 libnettle6:i386 libnuma1:i386 libodbc1 libodbc1:i386 libogg0:i386 libopenal1:i386 libopenjp2-7:i386 libopus0:i386 libosmesa6 libosmesa6:i386
  libp11-kit0:i386 libpcap0.8:i386 libpciaccess0:i386 libpixman-1-0:i386 libpng16-16:i386 libpulse0:i386 libsamplerate0:i386 libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386 libsensors4:i386
  libshine3:i386 libsm6:i386 libsnappy1v5:i386 libsndfile1:i386 libsndio6.1:i386 libsoxr0:i386 libspeex1:i386 libspeexdsp1:i386 libssl1.1:i386 libstdc++6:i386 libswresample2:i386 libsystemd0:i386
  libtasn1-6:i386 libtheora0:i386 libtiff5:i386 libtwolame0:i386 libtxc-dxtn-s2tc:i386 libva-drm1:i386 libva-x11-1:i386 libva1:i386 libvdpau-va-gl1:i386 libvdpau1:i386 libvorbis0a:i386 libvorbisenc2:i386
  libvpx4:i386 libwavpack1:i386 libwebp6:i386 libwebpmux2:i386 libwine libwine:i386 libwrap0:i386 libx11-6:i386 libx11-xcb1:i386 libx264-148:i386 libx265-95:i386 libxau6:i386 libxcb-dri2-0:i386
  libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb-sync1:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
  libxfixes3:i386 libxi6:i386 libxinerama1:i386 libxml2:i386 libxrandr2:i386 libxrender1:i386 libxshmfence1:i386 libxslt1.1:i386 libxtst6:i386 libxvidcore4:i386 libxxf86vm1:i386 libzvbi0:i386
  mesa-va-drivers:i386 mesa-vdpau-drivers:i386 ocl-icd-libopencl1:i386 va-driver-all:i386 vdpau-driver-all:i386 wine32:i386 wine64
0 mis à jour, 0 nouvellement installés, 150 à enlever et 0 non mis à jour.
Après cette opération, 633 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 127998 fichiers et répertoires déjà installés.)
Suppression de fonts-wine (1.8.7-2) ...
Suppression de va-driver-all:i386 (1.7.3-2) ...
Suppression de i965-va-driver:i386 (1.7.3-1) ...
Suppression de wine32:i386 (1.8.7-2) ...
Suppression de libwine:i386 (1.8.7-2) ...
Suppression de libopenal1:i386 (1:1.17.2-4+b2) ...
Suppression de libsndio6.1:i386 (1.1.0-3) ...
Suppression de libasound2-plugins:i386 (1.1.1-1) ...
Suppression de libpulse0:i386 (10.0-1+deb9u1) ...
Suppression de libasyncns0:i386 (0.8-6) ...
Suppression de libcups2:i386 (2.2.1-8+deb9u3) ...
Suppression de libavahi-client3:i386 (0.6.32-2) ...
Suppression de libavahi-common3:i386 (0.6.32-2) ...
Suppression de libavahi-common-data:i386 (0.6.32-2) ...
Suppression de libavcodec57:i386 (7:3.2.12-1~deb9u1) ...
Suppression de libavresample3:i386 (7:3.2.12-1~deb9u1) ...
Suppression de libswresample2:i386 (7:3.2.12-1~deb9u1) ...
Suppression de libavutil55:i386 (7:3.2.12-1~deb9u1) ...
Suppression de vdpau-driver-all:i386 (1.1.1-6) ...
Suppression de mesa-vdpau-drivers:i386 (13.0.6-1+b2) ...
Suppression de libtheora0:i386 (1.1.1+dfsg.1-14+b1) ...
Suppression de libcairo2:i386 (1.14.8-1) ...
Suppression de libcap2:i386 (1:2.25-1) ...
Suppression de libcrystalhd3:i386 (1:0.0~git20110715.fdd2f19-12) ...
Suppression de libldap-2.4-2:i386 (2.4.44+dfsg-5+deb9u2) ...
Suppression de libsasl2-2:i386 (2.1.27~101-g0780600+dfsg-3) ...
Suppression de libsasl2-modules-db:i386 (2.1.27~101-g0780600+dfsg-3) ...
Suppression de libdb5.3:i386 (5.3.28-12+deb9u1) ...
Suppression de libdbus-1-3:i386 (1.10.26-0+deb9u1) ...
Suppression de mesa-va-drivers:i386 (13.0.6-1+b2) ...
Suppression de libgl1-mesa-dri:i386 (13.0.6-1+b2) ...
Suppression de libdrm-intel1:i386 (2.4.74-1) ...
Suppression de libdrm-nouveau2:i386 (2.4.74-1) ...
Suppression de libdrm-radeon1:i386 (2.4.74-1) ...
Suppression de libvdpau-va-gl1:i386 (0.4.2-1) ...
Suppression de libglu1-mesa:i386 (9.0.0-2.1) ...
Suppression de libgl1-mesa-glx:i386 (13.0.6-1+b2) ...
Suppression de libva-x11-1:i386 (1.7.3-2) ...
Suppression de libllvm3.9:i386 (1:3.9.1-9) ...
Suppression de libedit2:i386 (3.1-20160903-3) ...
Suppression de libelf1:i386 (0.168-1) ...
Suppression de libfontconfig1:i386 (2.11.0-6.7+b1) ...
Suppression de libexpat1:i386 (2.2.0-2+deb9u1) ...
Suppression de libgnutls30:i386 (3.5.8-5+deb9u4) ...
Suppression de libp11-kit0:i386 (0.23.3-2) ...
Suppression de libffi6:i386 (3.2.1-6) ...
Suppression de libsndfile1:i386 (1.0.27-3) ...
Suppression de libflac8:i386 (1.3.2-1) ...
Suppression de libfreetype6:i386 (2.6.3-3.2) ...
Suppression de libsystemd0:i386 (232-25+deb9u9) ...
Suppression de libosmesa6:i386 (13.0.6-1+b2) ...
Suppression de libglapi-mesa:i386 (13.0.6-1+b2) ...
Suppression de libhogweed4:i386 (3.3-1+b2) ...
Suppression de libgmp10:i386 (2:6.1.2+dfsg-1) ...
Suppression de libsoxr0:i386 (0.1.2-2) ...
Suppression de libgomp1:i386 (6.3.0-18+deb9u1) ...
Suppression de libgpm2:i386 (1.20.4-6.2+b1) ...
Suppression de libgsm1:i386 (1.0.13-4+b2) ...
Suppression de libgssapi-krb5-2:i386 (1.15-1+deb9u1) ...
Suppression de libsm6:i386 (2:1.2.2-1+b3) ...
Suppression de libice6:i386 (2:1.0.9-2) ...
Suppression de libxslt1.1:i386 (1.1.29-2.1) ...
Suppression de libxml2:i386 (2.9.4+dfsg1-2.2+deb9u2) ...
Suppression de libicu57:i386 (57.1-6+deb9u2) ...
Suppression de libidn11:i386 (1.33-1) ...
Suppression de libjack-jackd2-0:i386 (1.9.10+20150825git1ed50c92~dfsg-5) ...
Suppression de libtiff5:i386 (4.0.8-2+deb9u4) ...
Suppression de libjbig0:i386 (2.1-3.1+b2) ...
Suppression de libjpeg62-turbo:i386 (1:1.5.1-2) ...
Suppression de libkrb5-3:i386 (1.15-1+deb9u1) ...
Suppression de libk5crypto3:i386 (1.15-1+deb9u1) ...
Suppression de libkrb5support0:i386 (1.15-1+deb9u1) ...
Suppression de libkeyutils1:i386 (1.5.9-9) ...
Suppression de liblcms2-2:i386 (2.8-4+deb9u1) ...
Suppression de libodbc1:i386 (2.3.4-1) ...
Suppression de libltdl7:i386 (2.4.6-2) ...
Suppression de liblz4-1:i386 (0.0~r131-2+b1) ...
Suppression de libmp3lame0:i386 (3.99.5+repack1-9+b2) ...
Suppression de libmpg123-0:i386 (1.23.8-1+b1) ...
Suppression de libncurses5:i386 (6.0+20161126-1+deb9u2) ...
Suppression de libnettle6:i386 (3.3-1+b2) ...
Suppression de libx265-95:i386 (2.1-2+b2) ...
Suppression de libnuma1:i386 (2.0.11-2.1) ...
Suppression de libodbc1:amd64 (2.3.4-1) ...
Suppression de libvorbisenc2:i386 (1.3.5-4+deb9u2) ...
Suppression de libvorbis0a:i386 (1.3.5-4+deb9u2) ...
Suppression de libogg0:i386 (1.3.2-1) ...
Suppression de libopenjp2-7:i386 (2.1.2-1.1+deb9u3) ...
Suppression de libopus0:i386 (1.2~alpha2-1) ...
Suppression de libosmesa6:amd64 (13.0.6-1+b2) ...
Suppression de libpcap0.8:i386 (1.8.1-3) ...
Suppression de libpciaccess0:i386 (0.13.4-1+b2) ...
Suppression de libpixman-1-0:i386 (0.34.0-1) ...
Suppression de libzvbi0:i386 (0.2.35-13) ...
Suppression de libpng16-16:i386 (1.6.28-1) ...
Suppression de libsamplerate0:i386 (0.1.8-8+b2) ...
Suppression de libsasl2-modules:i386 (2.1.27~101-g0780600+dfsg-3) ...
Suppression de libsensors4:i386 (1:3.4.0-4) ...
Suppression de libshine3:i386 (3.1.0-5) ...
Suppression de libsnappy1v5:i386 (1.1.3-3) ...
Suppression de libspeex1:i386 (1.2~rc1.2-1+b2) ...
Suppression de libspeexdsp1:i386 (1.2~rc1.2-1+b2) ...
Suppression de libssl1.1:i386 (1.1.0j-1~deb9u1) ...
Suppression de libvpx4:i386 (1.6.1-3+deb9u1) ...
Suppression de libstdc++6:i386 (6.3.0-18+deb9u1) ...
Suppression de libtasn1-6:i386 (4.10-1.1+deb9u1) ...
Suppression de libtwolame0:i386 (0.3.13-2) ...
Suppression de libtxc-dxtn-s2tc:i386 (1.0+git20151227-2) ...
Suppression de libva-drm1:i386 (1.7.3-2) ...
Suppression de libva1:i386 (1.7.3-2) ...
Suppression de libvdpau1:i386 (1.1.1-6) ...
Suppression de libwavpack1:i386 (5.0.0-2+deb9u2) ...
Suppression de libwebpmux2:i386 (0.5.2-1) ...
Suppression de libwebp6:i386 (0.5.2-1) ...
Suppression de wine64 (1.8.7-2) ...
Suppression de libwine:amd64 (1.8.7-2) ...
Suppression de libwrap0:i386 (7.6.q-26) ...
Suppression de libxcursor1:i386 (1:1.1.14-1+deb9u2) ...
Suppression de libx11-xcb1:i386 (2:1.6.4-3+deb9u1) ...
Suppression de libx264-148:i386 (2:0.148.2748+git97eaef2-1) ...
Suppression de libxcb-sync1:i386 (1.12-1) ...
Suppression de libxcb-dri2-0:i386 (1.12-1) ...
Suppression de libxcb-dri3-0:i386 (1.12-1) ...
Suppression de libxcb-glx0:i386 (1.12-1) ...
Suppression de libxcb-present0:i386 (1.12-1) ...
Suppression de libxcb-render0:i386 (1.12-1) ...
Suppression de libxcb-shm0:i386 (1.12-1) ...
Suppression de libxcomposite1:i386 (1:0.4.4-2) ...
Suppression de libxdamage1:i386 (1:1.1.4-2+b3) ...
Suppression de libxxf86vm1:i386 (1:1.1.4-1+b2) ...
Suppression de libxtst6:i386 (2:1.2.3-1) ...
Suppression de libxfixes3:i386 (1:5.0.3-1) ...
Suppression de libxi6:i386 (2:1.7.9-1) ...
Suppression de libxinerama1:i386 (2:1.1.3-1+b3) ...
Suppression de libxrandr2:i386 (2:1.5.1-1) ...
Suppression de libxrender1:i386 (1:0.9.10-1) ...
Suppression de libxshmfence1:i386 (1.2-1+b2) ...
Suppression de libxvidcore4:i386 (2:1.3.4-1+b2) ...
Suppression de ocl-icd-libopencl1:i386 (2.2.11-1) ...
Suppression de libasound2:i386 (1.1.3-5) ...
Suppression de libdrm-amdgpu1:i386 (2.4.74-1) ...
Suppression de libdrm2:i386 (2.4.74-1) ...
Suppression de libgcrypt20:i386 (1.7.6-2+deb9u3) ...
Suppression de libgpg-error0:i386 (1.26-2) ...
Suppression de libxext6:i386 (2:1.3.3-1+b2) ...
Suppression de libx11-6:i386 (2:1.6.4-3+deb9u1) ...
Suppression de libxcb1:i386 (1.12-1) ...
Suppression de libxdmcp6:i386 (1:1.1.2-3) ...
Suppression de libbsd0:i386 (0.8.3-1) ...
Suppression de libxau6:i386 (1:1.0.8-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u4) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...

Puis :

install-recommend winehq-stable
-su: install-recommend : commande introuvable

apt install-recommend winehq-stable
E: L'opération install-recommend n'est pas valable

Sauriez-vous me dire où est-ce que je fais une erreur ?
Edit : pour plus de précisions, quand je tapais la commande donnée dans le tutoriel, le message d'erreur indiquait que la commande n'était pas comprise en combinaison avec l'autre option.
Je suis donc parti sur l'idée que je devais décomposer cette commande pour que cela fonctionne mais ça doit être autre chose ... neutral ?

Dernière modification par Harmonium (05-04-2019 19:27:02)


Nouveau sur le fofo et chez debian.  ----->  Présentation :  https://debian-facile.org/viewtopic.php?id=24050

Hors ligne

#5 05-04-2019 18:37:51

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : [Résolu] Installation de WineHQ : demande d'aide

Bonjour smile

Pour wine et playonlinux : ça dépend. Certains jeux et logiciels marchent du tonnerre, d'autres pas du tout.
Tu peux trouver des retours de tests de jeux et logiciels sous Wine ici : https://appdb.winehq.org/

Projet d'ISO Debian-Facile pour débutants - contributeurs bienvenus !

Proposition de réunion mumble jeudi 24 octobre à 21h30 ouverte à tous !

Hors ligne

#6 05-04-2019 19:40:32

Nsyo
Invité

Re : [Résolu] Installation de WineHQ : demande d'aide

Quand tu installes un paquet avec apt, tu peux voir qu'il te recommande certains paquets et qu'il t'en suggère d'autres. Par exemple, si tu installes un lecteur audio, il te recommande des paquets, comme par exemple des plugins pour avoir accès à toutes les fonctionnalités. Quant aux paquets suggérés, ils sont loin d'êtres indispensables.

Le comportement par défaut de APT, c'est d'installer tous les paquets recommandés. Je suppose que l'option '--install-recommend' n'est pas disponible avec la configuration par défaut (alors que tu as accès à '--no-install-recommends' pour ne pas installer les paquets recommandés).
Normalement un simple

apt install winehq-stable

devrait faire l'affaire. wink

Dernière modification par Nsyo (05-04-2019 19:44:05)

#7 05-04-2019 20:37:15

Harmonium
Membre
Distrib. : Debian GNU/Linux 9 (stretch) 64 bits
Noyau : Linux 4.9.0-8-amd64
(G)UI : De base (GNOME_?)
Inscription : 02-04-2019

Re : [Résolu] Installation de WineHQ : demande d'aide

OK OK nickel. Un grand merci à toi pour avoir pris le temps de m'expliquer tout ça ! wink
Caribou22 je t'ai répondu en MP pour ne pas polluer le post.
A très bientôt j'espère !

Dernière modification par Harmonium (05-04-2019 20:37:39)


Nouveau sur le fofo et chez debian.  ----->  Présentation :  https://debian-facile.org/viewtopic.php?id=24050

Hors ligne

Pied de page des forums